Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network0.167.72.0/21
Usable hosts2,046
Subnet mask255.255.248.0
Addresses2,048
Network address
0.167.72.0
Broadcast address
0.167.79.255
First usable
0.167.72.1
Last usable
0.167.79.254
Usable hosts
2,046 (2,048 less the network and broadcast addresses)
Subnet mask
255.255.248.0
Wildcard mask
0.0.7.255 (Cisco ACLs, OSPF)
Prefix length
/21
Type
This network 0.0.0.0/8
Not routed; 0.0.0.0 means "any address" in settings
Old class
A (default /8)
As numbers
Hex 00A74800 · Integer 10962944 to 10964991
Reverse DNS zones
72.167.0.in-addr.arpa
73.167.0.in-addr.arpa
74.167.0.in-addr.arpa
75.167.0.in-addr.arpa
76.167.0.in-addr.arpa
77.167.0.in-addr.arpa
78.167.0.in-addr.arpa
79.167.0.in-addr.arpa
/21 is not on a 8-bit boundary, so it takes 8 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000000.10100111.01001000.000000000.167.72.0
Subnet mask11111111.11111111.11111000.00000000255.255.248.0
Network00000000.10100111.01001000.000000000.167.72.0
Broadcast00000000.10100111.01001111.111111110.167.79.255
Split into smaller subnets/30

0.167.72.0/21 makes 512 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
10.167.72.0/300.167.72.1 to 0.167.72.20.167.72.32
20.167.72.4/300.167.72.5 to 0.167.72.60.167.72.72
30.167.72.8/300.167.72.9 to 0.167.72.100.167.72.112
40.167.72.12/300.167.72.13 to 0.167.72.140.167.72.152
50.167.72.16/300.167.72.17 to 0.167.72.180.167.72.192
60.167.72.20/300.167.72.21 to 0.167.72.220.167.72.232
70.167.72.24/300.167.72.25 to 0.167.72.260.167.72.272
80.167.72.28/300.167.72.29 to 0.167.72.300.167.72.312
90.167.72.32/300.167.72.33 to 0.167.72.340.167.72.352
100.167.72.36/300.167.72.37 to 0.167.72.380.167.72.392
110.167.72.40/300.167.72.41 to 0.167.72.420.167.72.432
120.167.72.44/300.167.72.45 to 0.167.72.460.167.72.472
130.167.72.48/300.167.72.49 to 0.167.72.500.167.72.512
140.167.72.52/300.167.72.53 to 0.167.72.540.167.72.552
150.167.72.56/300.167.72.57 to 0.167.72.580.167.72.592
160.167.72.60/300.167.72.61 to 0.167.72.620.167.72.632
170.167.72.64/300.167.72.65 to 0.167.72.660.167.72.672
180.167.72.68/300.167.72.69 to 0.167.72.700.167.72.712
190.167.72.72/300.167.72.73 to 0.167.72.740.167.72.752
200.167.72.76/300.167.72.77 to 0.167.72.780.167.72.792
210.167.72.80/300.167.72.81 to 0.167.72.820.167.72.832
220.167.72.84/300.167.72.85 to 0.167.72.860.167.72.872
230.167.72.88/300.167.72.89 to 0.167.72.900.167.72.912
240.167.72.92/300.167.72.93 to 0.167.72.940.167.72.952
250.167.72.96/300.167.72.97 to 0.167.72.980.167.72.992
260.167.72.100/300.167.72.101 to 0.167.72.1020.167.72.1032
270.167.72.104/300.167.72.105 to 0.167.72.1060.167.72.1072
280.167.72.108/300.167.72.109 to 0.167.72.1100.167.72.1112
290.167.72.112/300.167.72.113 to 0.167.72.1140.167.72.1152
300.167.72.116/300.167.72.117 to 0.167.72.1180.167.72.1192
310.167.72.120/300.167.72.121 to 0.167.72.1220.167.72.1232
320.167.72.124/300.167.72.125 to 0.167.72.1260.167.72.1272
330.167.72.128/300.167.72.129 to 0.167.72.1300.167.72.1312
340.167.72.132/300.167.72.133 to 0.167.72.1340.167.72.1352
350.167.72.136/300.167.72.137 to 0.167.72.1380.167.72.1392
360.167.72.140/300.167.72.141 to 0.167.72.1420.167.72.1432
370.167.72.144/300.167.72.145 to 0.167.72.1460.167.72.1472
380.167.72.148/300.167.72.149 to 0.167.72.1500.167.72.1512
390.167.72.152/300.167.72.153 to 0.167.72.1540.167.72.1552
400.167.72.156/300.167.72.157 to 0.167.72.1580.167.72.1592
410.167.72.160/300.167.72.161 to 0.167.72.1620.167.72.1632
420.167.72.164/300.167.72.165 to 0.167.72.1660.167.72.1672
430.167.72.168/300.167.72.169 to 0.167.72.1700.167.72.1712
440.167.72.172/300.167.72.173 to 0.167.72.1740.167.72.1752
450.167.72.176/300.167.72.177 to 0.167.72.1780.167.72.1792
460.167.72.180/300.167.72.181 to 0.167.72.1820.167.72.1832
470.167.72.184/300.167.72.185 to 0.167.72.1860.167.72.1872
480.167.72.188/300.167.72.189 to 0.167.72.1900.167.72.1912
490.167.72.192/300.167.72.193 to 0.167.72.1940.167.72.1952
500.167.72.196/300.167.72.197 to 0.167.72.1980.167.72.1992
510.167.72.200/300.167.72.201 to 0.167.72.2020.167.72.2032
520.167.72.204/300.167.72.205 to 0.167.72.2060.167.72.2072
530.167.72.208/300.167.72.209 to 0.167.72.2100.167.72.2112
540.167.72.212/300.167.72.213 to 0.167.72.2140.167.72.2152
550.167.72.216/300.167.72.217 to 0.167.72.2180.167.72.2192
560.167.72.220/300.167.72.221 to 0.167.72.2220.167.72.2232
570.167.72.224/300.167.72.225 to 0.167.72.2260.167.72.2272
580.167.72.228/300.167.72.229 to 0.167.72.2300.167.72.2312
590.167.72.232/300.167.72.233 to 0.167.72.2340.167.72.2352
600.167.72.236/300.167.72.237 to 0.167.72.2380.167.72.2392
610.167.72.240/300.167.72.241 to 0.167.72.2420.167.72.2432
620.167.72.244/300.167.72.245 to 0.167.72.2460.167.72.2472
630.167.72.248/300.167.72.249 to 0.167.72.2500.167.72.2512
640.167.72.252/300.167.72.253 to 0.167.72.2540.167.72.2552
650.167.73.0/300.167.73.1 to 0.167.73.20.167.73.32
660.167.73.4/300.167.73.5 to 0.167.73.60.167.73.72
670.167.73.8/300.167.73.9 to 0.167.73.100.167.73.112
680.167.73.12/300.167.73.13 to 0.167.73.140.167.73.152
690.167.73.16/300.167.73.17 to 0.167.73.180.167.73.192
700.167.73.20/300.167.73.21 to 0.167.73.220.167.73.232
710.167.73.24/300.167.73.25 to 0.167.73.260.167.73.272
720.167.73.28/300.167.73.29 to 0.167.73.300.167.73.312
730.167.73.32/300.167.73.33 to 0.167.73.340.167.73.352
740.167.73.36/300.167.73.37 to 0.167.73.380.167.73.392
750.167.73.40/300.167.73.41 to 0.167.73.420.167.73.432
760.167.73.44/300.167.73.45 to 0.167.73.460.167.73.472
770.167.73.48/300.167.73.49 to 0.167.73.500.167.73.512
780.167.73.52/300.167.73.53 to 0.167.73.540.167.73.552
790.167.73.56/300.167.73.57 to 0.167.73.580.167.73.592
800.167.73.60/300.167.73.61 to 0.167.73.620.167.73.632
810.167.73.64/300.167.73.65 to 0.167.73.660.167.73.672
820.167.73.68/300.167.73.69 to 0.167.73.700.167.73.712
830.167.73.72/300.167.73.73 to 0.167.73.740.167.73.752
840.167.73.76/300.167.73.77 to 0.167.73.780.167.73.792
850.167.73.80/300.167.73.81 to 0.167.73.820.167.73.832
860.167.73.84/300.167.73.85 to 0.167.73.860.167.73.872
870.167.73.88/300.167.73.89 to 0.167.73.900.167.73.912
880.167.73.92/300.167.73.93 to 0.167.73.940.167.73.952
890.167.73.96/300.167.73.97 to 0.167.73.980.167.73.992
900.167.73.100/300.167.73.101 to 0.167.73.1020.167.73.1032
910.167.73.104/300.167.73.105 to 0.167.73.1060.167.73.1072
920.167.73.108/300.167.73.109 to 0.167.73.1100.167.73.1112
930.167.73.112/300.167.73.113 to 0.167.73.1140.167.73.1152
940.167.73.116/300.167.73.117 to 0.167.73.1180.167.73.1192
950.167.73.120/300.167.73.121 to 0.167.73.1220.167.73.1232
960.167.73.124/300.167.73.125 to 0.167.73.1260.167.73.1272
970.167.73.128/300.167.73.129 to 0.167.73.1300.167.73.1312
980.167.73.132/300.167.73.133 to 0.167.73.1340.167.73.1352
990.167.73.136/300.167.73.137 to 0.167.73.1380.167.73.1392
1000.167.73.140/300.167.73.141 to 0.167.73.1420.167.73.1432
1010.167.73.144/300.167.73.145 to 0.167.73.1460.167.73.1472
1020.167.73.148/300.167.73.149 to 0.167.73.1500.167.73.1512
1030.167.73.152/300.167.73.153 to 0.167.73.1540.167.73.1552
1040.167.73.156/300.167.73.157 to 0.167.73.1580.167.73.1592
1050.167.73.160/300.167.73.161 to 0.167.73.1620.167.73.1632
1060.167.73.164/300.167.73.165 to 0.167.73.1660.167.73.1672
1070.167.73.168/300.167.73.169 to 0.167.73.1700.167.73.1712
1080.167.73.172/300.167.73.173 to 0.167.73.1740.167.73.1752
1090.167.73.176/300.167.73.177 to 0.167.73.1780.167.73.1792
1100.167.73.180/300.167.73.181 to 0.167.73.1820.167.73.1832
1110.167.73.184/300.167.73.185 to 0.167.73.1860.167.73.1872
1120.167.73.188/300.167.73.189 to 0.167.73.1900.167.73.1912
1130.167.73.192/300.167.73.193 to 0.167.73.1940.167.73.1952
1140.167.73.196/300.167.73.197 to 0.167.73.1980.167.73.1992
1150.167.73.200/300.167.73.201 to 0.167.73.2020.167.73.2032
1160.167.73.204/300.167.73.205 to 0.167.73.2060.167.73.2072
1170.167.73.208/300.167.73.209 to 0.167.73.2100.167.73.2112
1180.167.73.212/300.167.73.213 to 0.167.73.2140.167.73.2152
1190.167.73.216/300.167.73.217 to 0.167.73.2180.167.73.2192
1200.167.73.220/300.167.73.221 to 0.167.73.2220.167.73.2232
1210.167.73.224/300.167.73.225 to 0.167.73.2260.167.73.2272
1220.167.73.228/300.167.73.229 to 0.167.73.2300.167.73.2312
1230.167.73.232/300.167.73.233 to 0.167.73.2340.167.73.2352
1240.167.73.236/300.167.73.237 to 0.167.73.2380.167.73.2392
1250.167.73.240/300.167.73.241 to 0.167.73.2420.167.73.2432
1260.167.73.244/300.167.73.245 to 0.167.73.2460.167.73.2472
1270.167.73.248/300.167.73.249 to 0.167.73.2500.167.73.2512
1280.167.73.252/300.167.73.253 to 0.167.73.2540.167.73.2552
1290.167.74.0/300.167.74.1 to 0.167.74.20.167.74.32
1300.167.74.4/300.167.74.5 to 0.167.74.60.167.74.72
1310.167.74.8/300.167.74.9 to 0.167.74.100.167.74.112
1320.167.74.12/300.167.74.13 to 0.167.74.140.167.74.152
1330.167.74.16/300.167.74.17 to 0.167.74.180.167.74.192
1340.167.74.20/300.167.74.21 to 0.167.74.220.167.74.232
1350.167.74.24/300.167.74.25 to 0.167.74.260.167.74.272
1360.167.74.28/300.167.74.29 to 0.167.74.300.167.74.312
1370.167.74.32/300.167.74.33 to 0.167.74.340.167.74.352
1380.167.74.36/300.167.74.37 to 0.167.74.380.167.74.392
1390.167.74.40/300.167.74.41 to 0.167.74.420.167.74.432
1400.167.74.44/300.167.74.45 to 0.167.74.460.167.74.472
1410.167.74.48/300.167.74.49 to 0.167.74.500.167.74.512
1420.167.74.52/300.167.74.53 to 0.167.74.540.167.74.552
1430.167.74.56/300.167.74.57 to 0.167.74.580.167.74.592
1440.167.74.60/300.167.74.61 to 0.167.74.620.167.74.632
1450.167.74.64/300.167.74.65 to 0.167.74.660.167.74.672
1460.167.74.68/300.167.74.69 to 0.167.74.700.167.74.712
1470.167.74.72/300.167.74.73 to 0.167.74.740.167.74.752
1480.167.74.76/300.167.74.77 to 0.167.74.780.167.74.792
1490.167.74.80/300.167.74.81 to 0.167.74.820.167.74.832
1500.167.74.84/300.167.74.85 to 0.167.74.860.167.74.872
1510.167.74.88/300.167.74.89 to 0.167.74.900.167.74.912
1520.167.74.92/300.167.74.93 to 0.167.74.940.167.74.952
1530.167.74.96/300.167.74.97 to 0.167.74.980.167.74.992
1540.167.74.100/300.167.74.101 to 0.167.74.1020.167.74.1032
1550.167.74.104/300.167.74.105 to 0.167.74.1060.167.74.1072
1560.167.74.108/300.167.74.109 to 0.167.74.1100.167.74.1112
1570.167.74.112/300.167.74.113 to 0.167.74.1140.167.74.1152
1580.167.74.116/300.167.74.117 to 0.167.74.1180.167.74.1192
1590.167.74.120/300.167.74.121 to 0.167.74.1220.167.74.1232
1600.167.74.124/300.167.74.125 to 0.167.74.1260.167.74.1272
1610.167.74.128/300.167.74.129 to 0.167.74.1300.167.74.1312
1620.167.74.132/300.167.74.133 to 0.167.74.1340.167.74.1352
1630.167.74.136/300.167.74.137 to 0.167.74.1380.167.74.1392
1640.167.74.140/300.167.74.141 to 0.167.74.1420.167.74.1432
1650.167.74.144/300.167.74.145 to 0.167.74.1460.167.74.1472
1660.167.74.148/300.167.74.149 to 0.167.74.1500.167.74.1512
1670.167.74.152/300.167.74.153 to 0.167.74.1540.167.74.1552
1680.167.74.156/300.167.74.157 to 0.167.74.1580.167.74.1592
1690.167.74.160/300.167.74.161 to 0.167.74.1620.167.74.1632
1700.167.74.164/300.167.74.165 to 0.167.74.1660.167.74.1672
1710.167.74.168/300.167.74.169 to 0.167.74.1700.167.74.1712
1720.167.74.172/300.167.74.173 to 0.167.74.1740.167.74.1752
1730.167.74.176/300.167.74.177 to 0.167.74.1780.167.74.1792
1740.167.74.180/300.167.74.181 to 0.167.74.1820.167.74.1832
1750.167.74.184/300.167.74.185 to 0.167.74.1860.167.74.1872
1760.167.74.188/300.167.74.189 to 0.167.74.1900.167.74.1912
1770.167.74.192/300.167.74.193 to 0.167.74.1940.167.74.1952
1780.167.74.196/300.167.74.197 to 0.167.74.1980.167.74.1992
1790.167.74.200/300.167.74.201 to 0.167.74.2020.167.74.2032
1800.167.74.204/300.167.74.205 to 0.167.74.2060.167.74.2072
1810.167.74.208/300.167.74.209 to 0.167.74.2100.167.74.2112
1820.167.74.212/300.167.74.213 to 0.167.74.2140.167.74.2152
1830.167.74.216/300.167.74.217 to 0.167.74.2180.167.74.2192
1840.167.74.220/300.167.74.221 to 0.167.74.2220.167.74.2232
1850.167.74.224/300.167.74.225 to 0.167.74.2260.167.74.2272
1860.167.74.228/300.167.74.229 to 0.167.74.2300.167.74.2312
1870.167.74.232/300.167.74.233 to 0.167.74.2340.167.74.2352
1880.167.74.236/300.167.74.237 to 0.167.74.2380.167.74.2392
1890.167.74.240/300.167.74.241 to 0.167.74.2420.167.74.2432
1900.167.74.244/300.167.74.245 to 0.167.74.2460.167.74.2472
1910.167.74.248/300.167.74.249 to 0.167.74.2500.167.74.2512
1920.167.74.252/300.167.74.253 to 0.167.74.2540.167.74.2552
1930.167.75.0/300.167.75.1 to 0.167.75.20.167.75.32
1940.167.75.4/300.167.75.5 to 0.167.75.60.167.75.72
1950.167.75.8/300.167.75.9 to 0.167.75.100.167.75.112
1960.167.75.12/300.167.75.13 to 0.167.75.140.167.75.152
1970.167.75.16/300.167.75.17 to 0.167.75.180.167.75.192
1980.167.75.20/300.167.75.21 to 0.167.75.220.167.75.232
1990.167.75.24/300.167.75.25 to 0.167.75.260.167.75.272
2000.167.75.28/300.167.75.29 to 0.167.75.300.167.75.312
2010.167.75.32/300.167.75.33 to 0.167.75.340.167.75.352
2020.167.75.36/300.167.75.37 to 0.167.75.380.167.75.392
2030.167.75.40/300.167.75.41 to 0.167.75.420.167.75.432
2040.167.75.44/300.167.75.45 to 0.167.75.460.167.75.472
2050.167.75.48/300.167.75.49 to 0.167.75.500.167.75.512
2060.167.75.52/300.167.75.53 to 0.167.75.540.167.75.552
2070.167.75.56/300.167.75.57 to 0.167.75.580.167.75.592
2080.167.75.60/300.167.75.61 to 0.167.75.620.167.75.632
2090.167.75.64/300.167.75.65 to 0.167.75.660.167.75.672
2100.167.75.68/300.167.75.69 to 0.167.75.700.167.75.712
2110.167.75.72/300.167.75.73 to 0.167.75.740.167.75.752
2120.167.75.76/300.167.75.77 to 0.167.75.780.167.75.792
2130.167.75.80/300.167.75.81 to 0.167.75.820.167.75.832
2140.167.75.84/300.167.75.85 to 0.167.75.860.167.75.872
2150.167.75.88/300.167.75.89 to 0.167.75.900.167.75.912
2160.167.75.92/300.167.75.93 to 0.167.75.940.167.75.952
2170.167.75.96/300.167.75.97 to 0.167.75.980.167.75.992
2180.167.75.100/300.167.75.101 to 0.167.75.1020.167.75.1032
2190.167.75.104/300.167.75.105 to 0.167.75.1060.167.75.1072
2200.167.75.108/300.167.75.109 to 0.167.75.1100.167.75.1112
2210.167.75.112/300.167.75.113 to 0.167.75.1140.167.75.1152
2220.167.75.116/300.167.75.117 to 0.167.75.1180.167.75.1192
2230.167.75.120/300.167.75.121 to 0.167.75.1220.167.75.1232
2240.167.75.124/300.167.75.125 to 0.167.75.1260.167.75.1272
2250.167.75.128/300.167.75.129 to 0.167.75.1300.167.75.1312
2260.167.75.132/300.167.75.133 to 0.167.75.1340.167.75.1352
2270.167.75.136/300.167.75.137 to 0.167.75.1380.167.75.1392
2280.167.75.140/300.167.75.141 to 0.167.75.1420.167.75.1432
2290.167.75.144/300.167.75.145 to 0.167.75.1460.167.75.1472
2300.167.75.148/300.167.75.149 to 0.167.75.1500.167.75.1512
2310.167.75.152/300.167.75.153 to 0.167.75.1540.167.75.1552
2320.167.75.156/300.167.75.157 to 0.167.75.1580.167.75.1592
2330.167.75.160/300.167.75.161 to 0.167.75.1620.167.75.1632
2340.167.75.164/300.167.75.165 to 0.167.75.1660.167.75.1672
2350.167.75.168/300.167.75.169 to 0.167.75.1700.167.75.1712
2360.167.75.172/300.167.75.173 to 0.167.75.1740.167.75.1752
2370.167.75.176/300.167.75.177 to 0.167.75.1780.167.75.1792
2380.167.75.180/300.167.75.181 to 0.167.75.1820.167.75.1832
2390.167.75.184/300.167.75.185 to 0.167.75.1860.167.75.1872
2400.167.75.188/300.167.75.189 to 0.167.75.1900.167.75.1912
2410.167.75.192/300.167.75.193 to 0.167.75.1940.167.75.1952
2420.167.75.196/300.167.75.197 to 0.167.75.1980.167.75.1992
2430.167.75.200/300.167.75.201 to 0.167.75.2020.167.75.2032
2440.167.75.204/300.167.75.205 to 0.167.75.2060.167.75.2072
2450.167.75.208/300.167.75.209 to 0.167.75.2100.167.75.2112
2460.167.75.212/300.167.75.213 to 0.167.75.2140.167.75.2152
2470.167.75.216/300.167.75.217 to 0.167.75.2180.167.75.2192
2480.167.75.220/300.167.75.221 to 0.167.75.2220.167.75.2232
2490.167.75.224/300.167.75.225 to 0.167.75.2260.167.75.2272
2500.167.75.228/300.167.75.229 to 0.167.75.2300.167.75.2312
2510.167.75.232/300.167.75.233 to 0.167.75.2340.167.75.2352
2520.167.75.236/300.167.75.237 to 0.167.75.2380.167.75.2392
2530.167.75.240/300.167.75.241 to 0.167.75.2420.167.75.2432
2540.167.75.244/300.167.75.245 to 0.167.75.2460.167.75.2472
2550.167.75.248/300.167.75.249 to 0.167.75.2500.167.75.2512
2560.167.75.252/300.167.75.253 to 0.167.75.2540.167.75.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses